	/******************************************************************************
	Author: Sreelakshmi Papineni and Emilia Cucagna, World Bank Africa Gender Innovation Lab
	Dofile Name	: 0_Master.do
	Purpose		: Master dofile for Data cleaning and analysis
	Project		: IFWE Chigign Tobiya
	Date		: June 2025
	*****************************************************************************/

	
	
/*==============================================================================================
								Step 0: Program set up
===============================================================================================*/

		cls // This clears the screen anytime you run your codes
		clear all // This will clear everything including programs, globals
		set more off // To avoid having to always click on more, more to view results
		version 17.0
		set varabbrev on

		
* =============================================================================================== * 
* [ Root Folder Globals - Define User and Paths: set wd ] 
* =============================================================================================== * 
      
   * Define Paths for Each User:
   * ------------------------------------

    global DIREC_MAIN "C:\WBG\rep-checks\RR_ETH_2025_381"	
	
	global DIREC_DTA     "${DIREC_MAIN}/Data"
	global DIREC_OUTPUT  "${DIREC_MAIN}/Output" 
    global DIREC_CODE    "${DIREC_MAIN}/Code" 
	
* =============================================================================================== * 
* [ create folders ]
* =============================================================================================== * 
	cd "${DIREC_MAIN}" 
	sysdir set PLUS "${DIREC_CODE}/ado"
	
/*==============================================================================================
								Step 0: Program set up
===============================================================================================*/

		*** Do files
		global dofiles  "$DIREC_CODE"

		*** Raw data
		global usingdata  "$DIREC_DTA/0_UsingData"
		
		*** Save cleaned data 
		global intermediatedata  "$DIREC_DTA/1_IntermediateData"
		
		*** Save cleaned with analysis variables data 
		global finaldata  "$DIREC_DTA/2_FinalData"

		*** Save graphs
		global Graphs  "Analysis\Analysis Results\Graphs"


		
/*==============================================================================================
								Step 1: Run dofiles
===============================================================================================*/
		


		do "$DIREC_CODE\1.TVET_CleaningDatacleaning.do"

		do "$DIREC_CODE\2.MFI_CleaningDatacleaning.do"

		do "$DIREC_CODE\3.Merging and reshaping.do"

	    do "$DIREC_CODE\4.ChigignTobiya_Paper_Tables_06162025.do"
		
				

****************************************************************************************************************************************************
